=== debian/changelog ===
perceptualdiff (2.1-7.1) unstable; urgency=medium

  * Non-maintainer upload
  * d/copyright: Correct BSD license

 -- Bastian Germann <bage@debian.org>  Mon, 01 Sep 2025 16:27:45 +0200

perceptualdiff (2.1-7) unstable; urgency=medium

  * Guard another test that fails due to a bad library on a couple
    architectures. Figure it out later.  Alignment issues?

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 27 Mar 2023 14:32:03 +0100

perceptualdiff (2.1-6) unstable; urgency=medium

  * Wrap long lines in changelog entries: 2.1-5.1.
  * Update standards version to 4.6.2, no changes needed.

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 26 Mar 2023 22:00:58 -0000

perceptualdiff (2.1-5.1) unstable; urgency=medium

  * Non-maintainer upload
  * Don't test failure when loading a corrupted png file (Closes: #982864,
    #992905)

 -- Dima Kogan <dima@secretsauce.net>  Sun, 19 Feb 2023 19:59:04 -0800

perceptualdiff (2.1-5) unstable; urgency=medium

  [ Barak A. Pearlmutter ]
  * Modernise debian/copyright
  * Update standards version to 4.6.0, no changes needed.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on cmake.

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 11 Oct 2021 17:16:00 +0100

perceptualdiff (2.1-4) unstable; urgency=medium

  * Support autopkgtest
  * Improve perceptualdiff(1) whatis entry

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 18 Apr 2021 14:18:10 +0100

perceptualdiff (2.1-3) unstable; urgency=medium

  * Run test suite manually, since the callout was removed from cmake
  * Quilt patch with --help edits
  * Rebuild debian/perceptualdiff.1 with help2man and patched --help
  * Inactive stanza in debian/rules to rebuild perceptualdiff(1).

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 14 Jan 2021 08:43:38 +0000

perceptualdiff (2.1-2) unstable; urgency=medium

  * Track upstream development
  * Force dh buildsystem to cmake
  * Repair broken old debian/changelog stanza author entry

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 12 Jan 2021 19:43:17 +0000

perceptualdiff (2.1-1) unstable; urgency=medium

  * Update packaging scripts
  * Trivial debian/rules makes logs verbose (closes: #928266)
  * Trim trailing whitespace.
  * Explicitly specify source format.
  * Bump debhelper to 13. (closes: #965773)
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add debian/changelog close clause colons
  * Add debian/watch uscan support file
  * Bump policy
  * New upstream release
    - checks --output error, see 9dffbb97 "Failed to save" (closes: #836777)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 11 Jan 2021 22:47:03 +0000

perceptualdiff (1.2-2) unstable; urgency=medium

  * Fix build problem
  * Remove unnecessary file (closes: #666886)

 -- Jeff Breidenbach <jab@debian.org>  Tue, 04 Aug 2015 22:23:16 +0000

perceptualdiff (1.2-1) unstable; urgency=medium

  * Switch to OpenMP fork (closes: #673934)

 -- Jeff Breidenbach <jab@debian.org>  Fri, 31 Jul 2015 00:19:43 +0000

perceptualdiff (1.1.1-2) unstable; urgency=low

  * libtiff transition (closes: #736036)
  * libpng transition (closes: #636969, #636969)

 -- Jeff Breidenbach <jab@debian.org>  Tue, 21 Jan 2014 09:00:14 -0800

perceptualdiff (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Manpage correction. (closes: #564031)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 08 Dec 2011 16:49:55 -0800

perceptualdiff (1.0.1-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * libpng 1.5 transition. (closes: #636969)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 07 Aug 2011 15:23:04 +0900

perceptualdiff (1.0.1-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build with gcc-4.4 using patch from Martin Michlmayr (Closes:
    #505022)

 -- Christoph Egger <christoph@debian.org>  Fri, 25 Dec 2009 23:27:06 +0100

perceptualdiff (1.0.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by KiBi (Closes: #456049)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 21:28:43 +0100

perceptualdiff (1.0.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove all cmake-generated files in make clean, avoiding FTBFS
    and reducing Debian diff size (Closes: #445614).

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Sun, 14 Oct 2007 12:24:05 +0100

perceptualdiff (1.0.1-1) unstable; urgency=low

  * Initial release

 -- Jeff Breidenbach <jab@debian.org>  Fri, 28 Sep 2007 14:52:18 -0700
