=== debian/control ===
Source: perceptualdiff
Section: utils
Priority: optional
Maintainer: Jeff Breidenbach <jab@debian.org>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 13),
	cmake,
	libpng-dev, libtiff-dev, libfreeimage-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/myint/perceptualdiff
Vcs-Git: https://salsa.debian.org/debian/perceptualdiff.git
Vcs-Browser: https://salsa.debian.org/debian/perceptualdiff

Package: perceptualdiff
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: perceptual image comparison tool
 PerceptualDiff is an image comparison utility that makes
 use of a computational model of the human visual system to
 compare two images.
