=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_test:
	if type /bin/bash > /dev/null ; then		\
	  ./test/run_tests.bash;			\
	else						\
	  echo "test script needs bash; skipped.";	\
	fi

.PHONY: rebuild-manpage
rebuild-manpage:
	help2man --name='perceptual image comparison tool' \
	 --no-info					\
	 --output=debian/perceptualdiff.1		\
	 obj-*/perceptualdiff
