=== debian/watch ===
version=4
https://github.com/myint/@PACKAGE@/tags \
 .*/v?@ANY_VERSION@@ARCHIVE_EXT@
